// packageD/member/myOrder/refund/components/receivingStatusPop/receivingStatusPop.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    send_back_way:{
      type:Array,
      value:[]
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    popShow:false,
    radio:0
  },

  /**
   * 组件的方法列表
   */
  methods: {
    setPopShow(){
      this.setData({
        popShow:!this.data.popShow
      });
    },
    onChange(event) {
      this.setData({
        radio: event.detail,
      });
    },
    send(){
      this.triggerEvent("confirm",{status:this.data.radio});
      this.setPopShow();
    },
    setRadio(radio){
      this.setData({radio});
    }
  }
});
